Subject: bug#74771: Native compilation bug with struct predicates when lexical binding enabled (HEAD)

From: Andrea Corallo <[email-masked]>
Date: Sun, 16 Mar 2025 18:16:54 -0400

Andrea Corallo <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> Ping! Ping!  Andrea, could you please respond?
>
> My weekend is dedicated to this, I'm working on this and will post my
> findings.

I did some progesses as I've a patch that fixes the reported bug.  It
passes all tests but unfortuantelly it breaks bootstrap as one function
of comp.el gets misscompiled.  I'll put more work this week to
understand the cause of it.

  Andrea